Skip to main content
GET
/
generals
/
documents
List document types
curl --request GET \
  --url https://api.piriod.com/generals/documents/ \
  --header 'Authorization: <api-key>'
{
  "count": 142,
  "results": [
    {
      "id": "CL33",
      "country": "<string>",
      "code": 123,
      "name": "<string>",
      "currencies": [
        "<string>"
      ],
      "is_sale": true,
      "is_purshase": true,
      "is_order": true,
      "is_foreign": true,
      "has_taxes": true,
      "has_taxes_detail": true,
      "has_lines_total": true,
      "has_local_format": true,
      "hold_taxes": true,
      "allow_partial_credit": true,
      "allow_retention": true,
      "send": true,
      "given": true
    }
  ],
  "next": "<string>",
  "previous": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://piriod-d406ac55.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use header Authorization: Token <api_token>. API tokens are obtained from the Piriod dashboard.

Query Parameters

page
integer
default:1

Page number to retrieve (1-indexed).

Required range: x >= 1
page_size
integer
default:20

Number of items per page.

Required range: 1 <= x <= 100
ordering
string

Field to sort results by. Prefix with - for descending order (e.g. -created).

country
string
currencies
string
is_sale
boolean
is_purshase
boolean
is_order
boolean
hold_taxes
boolean

Response

200 - application/json

Paginated document list.

count
integer
required

Total number of items matching the filter.

Example:

142

results
object[]
required

The items in the current page.

next
string<uri> | null

URL of the next page, or null if last page.

previous
string<uri> | null

URL of the previous page, or null if first page.